summaryrefslogtreecommitdiffstats
path: root/libraries/libkate
diff options
context:
space:
mode:
author Nishant Limbachia2010-04-24 11:12:25 +0200
committer Erik Hanson2010-05-15 10:50:26 +0200
commit7e79db1237f19858db7ab410e910c5a2966478a3 (patch)
tree784df685eebea2b61f753d2f17eda62a7b98507a /libraries/libkate
parentcb0dcd3f44ee6cfdb06e78edd6890902eca08444 (diff)
downloadslackbuilds-7e79db1237f19858db7ab410e910c5a2966478a3.tar.gz
libraries/libkate: Build bump, script cleanup.
Diffstat (limited to 'libraries/libkate')
-rw-r--r--libraries/libkate/libkate.SlackBuild24
1 files changed, 9 insertions, 15 deletions
diff --git a/libraries/libkate/libkate.SlackBuild b/libraries/libkate/libkate.SlackBuild
index f0889837b4..9584782e20 100644
--- a/libraries/libkate/libkate.SlackBuild
+++ b/libraries/libkate/libkate.SlackBuild
@@ -3,13 +3,13 @@
# Slackware Package Build Script for libkate
# Home Page http://code.google.com/p/libkate/
-# Copyright (c) 2008-2009, Nishant Limbachia, Hoffman Estates, IL, USA [nishant@mnspace.net]
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -27,7 +27,7 @@
PRGNAM=libkate
VERSION=0.3.7
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -81,20 +81,14 @@ cp -a AUTHORS COPYING ChangeLog INSTALL README THANKS \
mv $PKG/usr/share/doc/$PRGNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
rm -fr $PKG/usr/share
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man || exit 1
+( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
-
-if [ -d $PKG/usr/info ]; then
- gzip -9 $PKG/usr/info/*.info
- rm -f $PKG/usr/info/dir
-fi
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc